#!/usr/bin/python
#This script was made by Vilikt for the Raspiboy
try:
	import RPi.GPIO as GPIO
except RuntimeError:
	print("Error importing RPi.GPIO!  This is probably because you need superuser privileges.  You can achieve this by using 'sudo' to run your script")
import os
import time
import uinput

gpio_pin_number=17
#This is the Battery Indicator Button 

GPIO.setmode(GPIO.BCM)
#Use BCM pin numbering (i.e. the GPIO number, not pin number)

GPIO.setup(gpio_pin_number, GPIO.IN, pull_up_down=GPIO.PUD_UP)
#Now the channel is set up as an Input with the initial value of PUD_UP (not pressed)
#It's very important the pin is an input to avoid short-circuits The 
#pull-up resistor means the pin is high by default

events = (uinput.KEY_ESC,)
device = uinput.Device(events)

def EscButton(): #Send Esc Key (like keyboard)
	device.emit(uinput.KEY_ESC, 1) # Press.
	time.sleep(.5)
	device.emit(uinput.KEY_ESC, 0) # Release.

while True:
	try:
		GPIO.wait_for_edge(gpio_pin_number, GPIO.FALLING)
		#Use falling edge detection to see if pin is pulled low 
		#to avoid repeated polling
		EscButton()
		
	except KeyboardInterrupt:
		GPIO.cleanup()
		pass

GPIO.cleanup()
#Revert all GPIO pins to their normal states (i.e. input = safe)
